Simulate Deposit
POST
Create a sandbox-only simulated deposit for a virtual account. Minimum required request body: { amount }.
header
X-Api-Key<token>API key in format: sti_env_prefix_secret
customerId*stringCustomer UUID
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidvirtualAccountId*stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidMinimum required field is amount. scenario defaults to completed; all other fields are optional.
application/json- body
Minimum required field is amount. scenario defaults to completed; all other fields are optional.
amount*stringMatch
^\d+(\.\d{1,2})?$scenario?stringDefault
"completed"Value in
"create_only""completed""failed"external_deposit_id?stringLength
1 <= length <= 255sender_name?stringLength
1 <= length <= 255sender_reference?stringLength
1 <= length <= 255failure_code?stringLength
1 <= length <= 100failure_message?stringLength
1 <= length <= 500Default Response
application/json- response
deposit_id*stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidexternal_deposit_id*stringscenario*stringValue in
"create_only""completed""failed"deposit_currency*stringamount_minor*stringworkflow_started*booleanworkflow_id*string|nullcurl -X POST 'https://api.sandbox.stables.money/api/v1/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/virtual-accounts/497f6eca-6276-4993-bfeb-53cbbbba6f08/sandbox/simulate-deposit' \ -H 'Content-Type: application/json' \ -d '{ "amount": "string"}'Example Response
{ "deposit_id": "fa08a66a-d1a9-4575-b53b-691ceef6ab4e", "external_deposit_id": "string", "scenario": "create_only", "deposit_currency": "string", "amount_minor": "string", "workflow_started": true, "workflow_id": "string"}Sandbox only. This endpoint does not exist in production.